MWAWTableInternal::Compare Struct Reference

a comparaison structure used retrieve the rows and the columns More...

## Classes

struct | Point
| small structure to define a cell point More...

## Public Member Functions

| Compare (int dim)
| constructor
bool | operator() (Point const &c1, Point const &c2) const
| comparaison function

## Public Attributes

int | m_coord
| the coord to compare

## Detailed Description

a comparaison structure used retrieve the rows and the columns

## Constructor & Destructor Documentation

## Compare()

MWAWTableInternal::Compare::Compare | ( | int | dim | ) |

inline explicit

constructor

## Member Function Documentation

## operator()()

bool MWAWTableInternal::Compare::operator() | ( | Point const & | c1,
|  | Point const & | c2 ) const

inline

comparaison function

## Member Data Documentation

## m_coord

int MWAWTableInternal::Compare::m_coord

the coord to compare

Referenced by Compare(), and operator()().

The documentation for this struct was generated from the following file:

- MWAWTable.cxx